Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064525 - [RFE] Add option to directly register to EUS content
Summary: [RFE] Add option to directly register to EUS content
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 7.1
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel72
TreeView+ depends on / blocked
 
Reported: 2014-02-12 18:59 UTC by Rich Jerrido
Modified: 2016-12-01 17:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-01 17:12:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rich Jerrido 2014-02-12 18:59:41 UTC
In the RHN Classic model, to register a freshly installed RHEL 6.4 system to EUS content, I run:

rhnreg_ks --use-eus-channel --username <some_user> --password <some_pass>

Afterwards, I am registered to the 'rhel-x86_64-server-6.4.z' channel. The above command provides the following:

"Register the system to the EUS content stream that matches my minor release" RHEL 6.4 in this case. 


In the RHSM model, I have to do :

* subscription-manager register --username=<some_user> --password=<some_password> --auto-attach

[For the purposes of this BZ, I'll assume that the subscription that gets auto-attached contains EUS)

* subscription-manager release --set 6.4
	to properly set the $releasever variable so that I get the correct repo from the CDN
* yum-config-manager --disable
	to disable all the repos that I don't need
* yum-config-manager --enable rhel-6-server-eus-rpms
	to enable the repo that I want


If I neglect to run the above 'subscription-manager release' command, the system will pull EUS content from the 6Server repos, which points to the latest minor release. That is:

	* Usually not wanted. (If I built a 6.4 system, I usually want 6.4.z content)
	* A change in behavior from the RHN Classic methodology


What would be beneficial is a similar switch to the '--use-eus-channel' switch, which allows the end user to register a system and configure it with the proper repos for EUS.

Comment 2 Bryan Kearney 2014-08-07 13:50:55 UTC
Acking 7.1

Comment 3 Bryan Kearney 2014-08-07 14:14:25 UTC
Acking 7.1

Comment 4 John Sefler 2014-10-28 17:51:24 UTC
This feature request was not implemented and delivered to QE by the rhel-7.1.0 Dev Freeze date of 10/27/2014.  Deferring for consideration in next release.

Comment 6 William Poteat 2015-05-06 17:41:19 UTC
This does not need to be tied to RHEL release. Bigger that just Subscription Manager.


Note You need to log in before you can comment on or make changes to this bug.